Subject: bug#34952: files with/out final newline look the same no matter what

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 07 Aug 2020 14:02:31 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Oh, yeah, that makes sense.  I'll fix that.

Actually, I don't know how.  How do you ask, when you're in the
font-lock machinery, what the original point was?  Like here:

       ,@(when (memq 'missing-newline-at-eof whitespace-active-style)
           ;; Show missing newline.
           `(("[^\n]\\'" 0 (if .... something) t)))))

By the way, have I whined about how difficult debugging font-lock stuff
is?  I can't put a `debug' in there, for instance, to examine the
calling sequence, which would probably tell me what I need to know.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no